geos::operation::overlay::validate::OffsetPointGenerator Class Reference

Generates points offset from both sides of all segments in a geometry. More...

`#include <OffsetPointGenerator.h>`

## Public Member Functions

| OffsetPointGenerator (const geom::Geometry &geom, double offset)
std::unique_ptr< std::vector< geom::Coordinate > > | getPoints ()
| Gets the computed offset points.

## Detailed Description

Generates points offset from both sides of all segments in a geometry.

The documentation for this class was generated from the following file:

- OffsetPointGenerator.h